<?php
/**
 * Added elated Page. */

/**
 * Add a new page under Appearance
 */
function elated_menu()
{
	add_theme_page(__('Elated Options', 'elated'), __('Elated Options', 'elated'), 'edit_theme_options', 'elated-theme', 'elated_page');
}
add_action('admin_menu', 'elated_menu');

/**
 * Enqueue styles for the help page.
 */
function elated_admin_scripts($hook)
{
	if ('appearance_page_elated-theme' !== $hook) {
		return;
	}
	wp_enqueue_style('elated-admin-style', get_template_directory_uri() . '/candidthemes/about/about.css', array(), '');
}
add_action('admin_enqueue_scripts', 'elated_admin_scripts');

/**
 * Add the theme page
 */
function elated_page()
{
?>
<div class="das-wrap">
  <div class="elated-panel header">
    <div class="elated-logo">
      <img class="ts-logo"
        src="<?php echo esc_url(get_template_directory_uri() . '/candidthemes/about/images/elated-logo.jpg'); ?>"
        alt="Logo">
    </div>
    <p>
      <?php esc_html_e('A perfect theme for blog and magazine site. With masonry layout and multiple blog page layout, this theme is the awesome and minimal theme.', 'elated'); ?>
    </p>
    <a class="btn btn-primary" href="<?php echo esc_url(admin_url('/customize.php?'));
?>"><?php esc_html_e('Theme Options - Click Here', 'elated'); ?></a>
  </div>

  <div class="das-wrap-inner">
    <div class="das-col das-col-7">
      <div class="elated-panel">
        <div class="elated-panel-content">
          <div class="theme-title">
            <h3><?php esc_html_e('If you like the theme, please leave a review', 'elated'); ?></h3>
          </div>
          <a href="https://wordpress.org/support/theme/elated/reviews/?filter=5" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Rate this theme', 'elated'); ?></a>
        </div>
      </div>
      <div class="elated-panel">
        <div class="elated-panel-content">
          <div class="theme-title">
            <h3><?php esc_html_e('View all Demos', 'elated'); ?></h3>
          </div>
          <a href="https://demo.candidthemes.com/elated" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Default Demo', 'elated'); ?></a>
        </div>
      </div>
    </div>
    <div class="das-col das-col-3">
      <div class="upgrade-div">
        <p>
          <strong>
            <?php esc_html_e('Pro Features Include:', 'elated'); ?>
          </strong>
          </h4>
        <ul>
          <li>
          <?php esc_html_e('Author Information including social icons and descriptions.', 'elated'); ?>
          </li>
          <li>
          <?php esc_html_e('Write your own powered by text with link in HTML formats.', 'elated'); ?>
          </li>
          <li>
          <?php esc_html_e('Change search placeholder text easily and write your own text.', 'elated'); ?>            
          </li>
          <li>
          <?php esc_html_e('Make your menu sticky on the top for better user experience.', 'elated'); ?>  
          </li>
        </ul>
        <div class="text-center">
          <a href="https://www.candidthemes.com/themes/elated/" target="_blank"
            class="btn btn-success"><?php esc_html_e('Upgrade Pro $39', 'elated'); ?></a>
        </div>
      </div>
      <div class="elated-panel">
        <div class="theme-title">
          <h3><?php esc_html_e('Important Links', 'elated'); ?></h3>
        </div>
        <div>
          <ul>
            <li>
              <a href="https://www.candidthemes.com/themes/elated/"><?php esc_html_e('Theme page', 'elated'); ?></a>
            </li>
            <li>
              <a href="https://www.candidthemes.com/support-tickets/"><?php esc_html_e('Support', 'elated'); ?></a>
            </li>
          </ul>
        </div>
      </div>
      <div class="elated-panel">
        <div class="theme-title">
          <h3><?php esc_html_e('Other Popular Theme', 'elated'); ?></h3>
        </div>
        <a href="https://www.candidthemes.com/themes/fairy/" target="_blank"
          class="btn btn-success"><?php esc_html_e('Fairy - Blog Theme', 'elated'); ?></a>
      </div>
    </div>
  </div>
</div>
<?php
}